LambdaExpression (Groovy 5.0.6)
Description: declaration: package: org.codehaus.groovy.ast.expr, class: LambdaExpression

Package org.codehaus.groovy.ast.expr

# Class LambdaExpression

java.lang.Object
org.codehaus.groovy.ast.ASTNode
org.codehaus.groovy.ast.AnnotatedNode
org.codehaus.groovy.ast.expr.Expression
org.codehaus.groovy.ast.expr.ClosureExpression
org.codehaus.groovy.ast.expr.LambdaExpression

All Implemented Interfaces:
  `GroovydocHolder<AnnotatedNode>`, `NodeMetaDataHandler`

public class LambdaExpression extends ClosureExpression
Represents a lambda expression such as one of these:

     e -> e * 2
     (x, y) -> x + y
     (x, y) -> { x + y }
     (int x, int y) -> { x + y }

- ## Field Summary

  ### Fields inherited from class org.codehaus.groovy.ast.expr.Expression

  `EMPTY_ARRAY`

  ### Fields inherited from interface groovy.lang.groovydoc.GroovydocHolder

  `DOC_COMMENT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LambdaExpression(Parameter[] parameters, Statement code)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getText()`
  `boolean`
  `isSerializable()`
  `void`
  `setSerializable(boolean serializable)`
  `void`
  `visit(GroovyCodeVisitor visitor)`

  ### Methods inherited from class org.codehaus.groovy.ast.expr.ClosureExpression

  `getCode, getParameters, getVariableScope, isParameterSpecified, setCode, setVariableScope, toString, transformExpression`

  ### Methods inherited from class org.codehaus.groovy.ast.expr.Expression

  `getType, setType, transformExpressions, transformExpressions`

  ### Methods inherited from class org.codehaus.groovy.ast.AnnotatedNode

  `addAnnotation, addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, getGroovydoc, getInstance, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`

  ### Methods inherited from class org.codehaus.groovy.ast.ASTNode

  `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setMetaDataMap, setSourcePosition`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.codehaus.groovy.ast.NodeMetaDataHandler

  `copyNodeMetaData, getNodeMetaData, getNodeMetaData, getNodeMetaData, newMetaDataMap, putNodeMetaData, removeNodeMetaData, setNodeMetaData`

- ## Constructor Details

  - ### LambdaExpression

    public LambdaExpression(Parameter[] parameters, Statement code)

- ## Method Details

  - ### visit

    public void visit(GroovyCodeVisitor visitor)
    Overrides:
      `visit` in class `ClosureExpression`

  - ### getText

    public String getText()
    Overrides:
      `getText` in class `ClosureExpression`

  - ### isSerializable

    public boolean isSerializable()

  - ### setSerializable

    public void setSerializable(boolean serializable)